Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillCategorySeries

    java.lang.Object
      net.sf.jasperreports.charts.fill.JRFillCategorySeries

All Implemented Interfaces:
  java.lang.Cloneable, JRCategorySeries, JRCloneable

    public class JRFillCategorySeries

extends java.lang.Object
implements JRCategorySeries

Version:
  $Id: JRFillCategorySeries.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected JRCategorySeries` | `parent`

Constructor Summary
`JRFillCategorySeries(JRCategorySeries categorySeries, JRFillObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`void` | `evaluate(JRCalculator calculator)`
`void` | `evaluateItemHyperlink(JRCalculator calculator)`
`java.lang.Comparable` | `getCategory()`
`JRExpression` | `getCategoryExpression()`
`JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
`java.lang.String` | `getLabel()`
`JRExpression` | `getLabelExpression()`
`JRPrintHyperlink` | `getPrintItemHyperlink()`
`java.lang.Comparable` | `getSeries()`
`JRExpression` | `getSeriesExpression()`
`java.lang.Number` | `getValue()`
`JRExpression` | `getValueExpression()`
`boolean` | `hasItemHyperlinks()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected JRCategorySeries parent

Constructor Detail

### JRFillCategorySeries

    public JRFillCategorySeries(JRCategorySeries categorySeries,
                                JRFillObjectFactory factory)

Method Detail

### getSeriesExpression

    public JRExpression getSeriesExpression()

  Specified by:
    `getSeriesExpression` in interface `JRCategorySeries`

### getCategoryExpression

    public JRExpression getCategoryExpression()

  Specified by:
    `getCategoryExpression` in interface `JRCategorySeries`

### getValueExpression

    public JRExpression getValueExpression()

  Specified by:
    `getValueExpression` in interface `JRCategorySeries`

### getLabelExpression

    public JRExpression getLabelExpression()

  Specified by:
    `getLabelExpression` in interface `JRCategorySeries`

### getSeries

    public java.lang.Comparable getSeries()

### getCategory

    public java.lang.Comparable getCategory()

### getValue

    public java.lang.Number getValue()

### getLabel

    public java.lang.String getLabel()

### getPrintItemHyperlink

    public JRPrintHyperlink getPrintItemHyperlink()

### evaluate

    public void evaluate(JRCalculator calculator)
                  throws JRExpressionEvalException

  Throws:
    `JRExpressionEvalException`

### evaluateItemHyperlink

    public void evaluateItemHyperlink(JRCalculator calculator)
                               throws JRExpressionEvalException

  Throws:
    `JRExpressionEvalException`

### hasItemHyperlinks

    public boolean hasItemHyperlinks()

### getItemHyperlink

    public JRHyperlink getItemHyperlink()

  Description copied from interface: `JRCategorySeries`
  Returns the hyperlink specification for chart items.

  The hyperlink will be evaluated for every chart item and an image map will be created for the chart.

  Specified by:
    `getItemHyperlink` in interface `JRCategorySeries`
  Returns:
    hyperlink specification for chart items

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com